# some functions to show spatial data in a gray level scale
# over a set of 2-d locations; this is used in the code in
# piazza.r which gives a predicted surface of log dioxin
# concentration

showdat <- function(x, y, z, size = 2, scale = 1, xlim = range(x), 
        ylim = range(y), leg = F, zlim = range(z), add = F, ...)
{
        nr <- (seq(1, size, by = 1) - 1 - (size - 1)/2)/scale
        if(!add)
                plot(xlim, ylim, type = "n", ...)
        for(i in 1:length(x))
                image(nr + x[i], nr + y[i], matrix(z[i], size, size), zlim =
                        zlim, add = T)
        if(leg)
                image.legend(zlim, x = c(-9, 18), y = c(-11, -14))
        return()
}


